View Issue Details

IDProjectCategoryView StatusLast Update
0004541GNUnetfile-sharing servicepublic2018-06-07 00:24
Reporterch3Assigned ToChristian Grothoff 
PrioritynormalSeveritycrashReproducibilitysometimes
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0004541: gnunet-service-fs crash
DescriptionAfter shortly running freshly compiled r37211 coredumps get created. The backtrack looks like this in most cases:


(gdb) bt
#0 0x00007f73ccc54268 in GNUNET_SCHEDULER_cancel (task=0x2) at scheduler.c:979
#1 0x00007f73cc9f79ed in GNUNET_PEERSTORE_iterate_cancel (ic=0x1e589c0) at peerstore_api.c:728
#2 0x000000000040a2a4 in GSF_peer_disconnect_handler_ (cls=0x0, peer=0x1e582f8)
    at gnunet-service-fs_cp.c:1724
#3 0x00007f73cce83e1c in disconnect_and_free_peer_entry (cls=0x1e529f0, key=0x7fff448025f8,
    value=0x1e582a0) at core_api.c:383
#4 0x00007f73cce86e7e in main_notify_handler (cls=0x1e529f0, msg=0x7fff448025f0) at core_api.c:851
#5 0x00007f73ccc10545 in receive_task (cls=0x1e528d0) at client.c:622
#6 0x00007f73ccc535a5 in run_ready (rs=0x1e26a40, ws=0x1e3e880) at scheduler.c:620
#7 0x00007f73ccc53eec in GNUNET_SCHEDULER_run (task=0x7f73ccc60ff8 <service_task>,
    task_cls=0x7fff44802a60) at scheduler.c:887
#8 0x00007f73ccc62d2b in GNUNET_SERVICE_run (argc=3, argv=0x7fff44802ce8, service_name=0x41bd33 "fs",
    options=GNUNET_SERVICE_OPTION_NONE, task=0x405d5d <run>, task_cls=0x0) at service.c:1497
#9 0x0000000000405fbe in main (argc=3, argv=0x7fff44802ce8) at gnunet-service-fs.c:839
Steps To Reproducerun gnunet and wait some while
Additional Information#1 0x00007f73cc9f79ed in GNUNET_PEERSTORE_iterate_cancel (ic=0x1e589c0) at peerstore_api.c:728
        __FUNCTION__ = "GNUNET_PEERSTORE_iterate_cancel"
#2 0x000000000040a2a4 in GSF_peer_disconnect_handler_ (cls=0x0, peer=0x1e582f8)
    at gnunet-service-fs_cp.c:1724
        cp = 0x1e58370
        pth = 0x7fff448025f8
        dh = 0x7f73cb76bd37 <regexec@@GLIBC_2.3.4+71>
        __FUNCTION__ = "GSF_peer_disconnect_handler_"
#3 0x00007f73cce83e1c in disconnect_and_free_peer_entry (cls=0x1e529f0, key=0x7fff448025f8,
    value=0x1e582a0) at core_api.c:383
        h = 0x1e529f0
        th = 0x1e58330
        pr = 0x1e582a0
        __FUNCTION__ = "disconnect_and_free_peer_entry"
#4 0x00007f73cce86e7e in main_notify_handler (cls=0x1e529f0, msg=0x7fff448025f0) at core_api.c:851
        h = 0x1e529f0
        m = 0x0
        cnm = 0x4b601e529f0
        dnm = 0x7fff448025f0
        ntm = 0x7fff44802610
        em = 0x242bab0
        smr = 0x201d810
        mh = 0x0
        init = 0x7fff44802630
        pr = 0x1e582a0
        th = 0x7f73cdecc50d <process_queue+101>
        hpos = 0
        trigger = 0
        msize = 40
        et = 0
        __FUNCTION__ = "main_notify_handler"
#5 0x00007f73ccc10545 in receive_task (cls=0x1e528d0) at client.c:622
        client = 0x1e528d0
        handler = 0x7f73cce85ea6 <main_notify_handler>
        cmsg = 0x22c30d0
        handler_cls = 0x1e529f0
        msize = 40
        mbuf = "\000(\000D\000\000\000\000\347iĂ\353dFDEl{2\244\002̧\\\330\fPq,n\340\344_\r[\202\205\\\214"
        msg = 0x7fff448025f0
        __FUNCTION__ = "receive_task"
#6 0x00007f73ccc535a5 in run_ready (rs=0x1e26a40, ws=0x1e3e880) at scheduler.c:620
        p = GNUNET_SCHEDULER_PRIORITY_DEFAULT
        pos = 0x23f55d0
        __FUNCTION__ = "run_ready"
#7 0x00007f73ccc53eec in GNUNET_SCHEDULER_run (task=0x7f73ccc60ff8 <service_task>,
    task_cls=0x7fff44802a60) at scheduler.c:887
        rs = 0x1e26a40
        ws = 0x1e3e880
        timeout = {rel_value_us = 0}
        ret = 0
        shc_int = 0x1e28010
        shc_term = 0x1e280d0
        shc_quit = 0x1e28250
---Type <return> to continue, or q <return> to quit---
        shc_hup = 0x1e28310
        shc_pipe = 0x1e28190
        last_tr = 188423
        busy_wait_warning = 0
        pr = 0x1e26a20
        c = 91 '['
        __FUNCTION__ = "GNUNET_SCHEDULER_run"
#8 0x00007f73ccc62d2b in GNUNET_SERVICE_run (argc=3, argv=0x7fff44802ce8, service_name=0x41bd33 "fs",
    options=GNUNET_SERVICE_OPTION_NONE, task=0x405d5d <run>, task_cls=0x0) at service.c:1497
        err = 0
        ret = 3
        cfg_fn = 0x1e247e0 "~/.config/gnunet.conf"
        opt_cfg_fn = 0x1e24a20 "/home/gnunet/.config/gnunet.conf"
        loglev = 0x0
        logfile = 0x0
        do_daemonize = 0
        i = 4307805
        skew_offset = 0
        skew_variance = 101
        clock_offset = 3
        sctx = {cfg = 0x1e247c0, server = 0x1e295e0, addrs = 0x0, service_name = 0x41bd33 "fs",
          task = 0x405d5d <run>, task_cls = 0x0, v4_denied = 0x0, v6_denied = 0x0,
          v4_allowed = 0x1e28810, v6_allowed = 0x1e3d9d0, my_handlers = 0x1e3b8f0, addrlens = 0x0,
          lsocks = 0x1e27660, shutdown_task = 0x1e29670, timeout = {
            rel_value_us = 18446744073709551615}, ret = 1, ready_confirm_fd = -1, require_found = 1,
          match_uid = 0, match_gid = 1, options = GNUNET_SERVICE_OPTION_NONE}
        cfg = 0x1e247c0
        xdg = 0x0
        service_options = {{shortName = 99 'c', name = 0x7f73ccc7350d "config",
            argumentHelp = 0x7f73ccc73514 "FILENAME",
            description = 0x7f73ccc73520 "use configuration file FILENAME", require_argument = 1,
            processor = 0x7f73ccc401ff <GNUNET_GETOPT_set_string>, scls = 0x7fff44802b18}, {
            shortName = 100 'd', name = 0x7f73ccc73540 "daemonize", argumentHelp = 0x0,
            description = 0x7f73ccc73550 "do daemonize (detach from terminal)", require_argument = 0,
            processor = 0x7f73ccc401d2 <GNUNET_GETOPT_set_one>, scls = 0x7fff44802b04}, {
            shortName = 104 'h', name = 0x7f73ccc73574 "help", argumentHelp = 0x0,
            description = 0x7f73ccc73579 "print this help", require_argument = 0,
            processor = 0x7f73ccc3fc68 <GNUNET_GETOPT_format_help_>, scls = 0x0}, {shortName = 76 'L',
            name = 0x7f73ccc73589 "log", argumentHelp = 0x7f73ccc7358d "LOGLEVEL",
            description = 0x7f73ccc73598 "configure logging to use LOGLEVEL", require_argument = 1,
            processor = 0x7f73ccc401ff <GNUNET_GETOPT_set_string>, scls = 0x7fff44802b10}, {
            shortName = 108 'l', name = 0x7f73ccc735ba "logfile",
            argumentHelp = 0x7f73ccc735c2 "LOGFILE",
            description = 0x7f73ccc735d0 "configure logging to write logs to LOGFILE",
            require_argument = 1, processor = 0x7f73ccc401ff <GNUNET_GETOPT_set_string>,
            scls = 0x7fff44802b08}, {shortName = 118 'v', name = 0x7f73ccc735fb "version",
            argumentHelp = 0x0, description = 0x7f73ccc73603 "print the version number",
            require_argument = 0, processor = 0x7f73ccc3fc22 <GNUNET_GETOPT_print_version_>,
            scls = 0x7f73ccc7361c}, {shortName = 0 '\000', name = 0x0, argumentHelp = 0x0,
            description = 0x0, require_argument = 0, processor = 0x0, scls = 0x0}}
        __FUNCTION__ = "GNUNET_SERVICE_run"
#9 0x0000000000405fbe in main (argc=3, argv=0x7fff44802ce8) at gnunet-service-fs.c:839
No locals.
TagsNo tags attached.

Relationships

related to 0004532 closedChristian Grothoff Peerstore API inconsistent 

Activities

schanzen

2016-06-03 12:32

developer   ~0010854

Fixed in r4541

Issue History

Date Modified Username Field Change
2016-05-29 22:14 ch3 New Issue
2016-06-01 14:07 Christian Grothoff Assigned To => Christian Grothoff
2016-06-01 14:07 Christian Grothoff Status new => assigned
2016-06-01 14:07 Christian Grothoff Severity minor => crash
2016-06-01 14:07 Christian Grothoff Target Version SVN HEAD => 0.11.0pre66
2016-06-02 19:22 Christian Grothoff Relationship added related to 0004532
2016-06-03 12:32 schanzen Note Added: 0010854
2016-06-03 12:32 schanzen Status assigned => resolved
2016-06-03 12:32 schanzen Fixed in Version => SVN HEAD
2016-06-03 12:32 schanzen Resolution open => fixed
2016-06-20 19:17 Christian Grothoff Fixed in Version SVN HEAD => 0.11.0pre66
2018-06-07 00:24 Christian Grothoff Status resolved => closed